| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
SeisStdImporterReader Class Reference
Seis

`#include <seisimporter.h>`

Inheritance diagram for SeisStdImporterReader:
[legend]

## Public Member Functions
| SeisStdImporterReader (const IOObj &, const char *nm)
| SeisStdImporterReader (const SeisStoreAccess::Setup &, const char *nm)
| ~SeisStdImporterReader ()
bool | fetch (SeisTrc &) override
const char * | implName () const override
const char * | name () const override
SeisTrcReader & | reader ()
const SeisTrcReader & | reader () const
void | removeNull (bool yn)
void | setResampler (SeisResampler *)
| becomes mine
void | setScaler (Scaler *)
| becomes mine
void | setSelData (Seis::SelData *)
| becomes mine
int | totalNr () const override
Public Member Functions inherited from SeisImporter::Reader
virtual | ~Reader ()

## Protected Attributes
const BufferString | name_
SeisTrcReader & | rdr_
bool | remnull_ = false
SeisResampler * | resampler_ = nullptr
Scaler * | scaler_ = nullptr
int | totalnr_ = -1

## Additional Inherited Members
Public Attributes inherited from SeisImporter::Reader
uiString | errmsg_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ SeisStdImporterReader() [1/2]

SeisStdImporterReader::SeisStdImporterReader | ( | const SeisStoreAccess::Setup & | ,
|  | const char * | nm )

## ◆ ~SeisStdImporterReader()

SeisStdImporterReader::~SeisStdImporterReader | ( |  | ) |

## ◆ SeisStdImporterReader() [2/2]

SeisStdImporterReader::SeisStdImporterReader | ( | const IOObj & | ,
|  | const char * | nm )

## Member Function Documentation

## ◆ fetch()

bool SeisStdImporterReader::fetch | ( | SeisTrc & |  | ) |
| override virtual

Implements SeisImporter::Reader.

## ◆ implName()

const char * SeisStdImporterReader::implName | ( |  | ) | const
| override virtual

Implements SeisImporter::Reader.

## ◆ name()

const char * SeisStdImporterReader::name | ( |  | ) | const
| inline override virtual

Implements SeisImporter::Reader.

## ◆ reader() [1/2]

SeisTrcReader & SeisStdImporterReader::reader | ( |  | ) |
| inline

## ◆ reader() [2/2]

const SeisTrcReader & SeisStdImporterReader::reader | ( |  | ) | const
| inline

## ◆ removeNull()

void SeisStdImporterReader::removeNull | ( | bool | yn | ) |
| inline

## ◆ setResampler()

void SeisStdImporterReader::setResampler | ( | SeisResampler * |  | ) |

becomes mine

## ◆ setScaler()

void SeisStdImporterReader::setScaler | ( | Scaler * |  | ) |

becomes mine

## ◆ setSelData()

void SeisStdImporterReader::setSelData | ( | Seis::SelData * |  | ) |

becomes mine

## ◆ totalNr()

int SeisStdImporterReader::totalNr | ( |  | ) | const
| override virtual

Reimplemented from SeisImporter::Reader.

## Member Data Documentation

## ◆ name_

const BufferString SeisStdImporterReader::name_
| protected

## ◆ rdr_

SeisTrcReader& SeisStdImporterReader::rdr_
| protected

## ◆ remnull_

bool SeisStdImporterReader::remnull_ = false
| protected

## ◆ resampler_

SeisResampler* SeisStdImporterReader::resampler_ = nullptr
| protected

## ◆ scaler_

Scaler* SeisStdImporterReader::scaler_ = nullptr
| protected

## ◆ totalnr_

int SeisStdImporterReader::totalnr_ = -1
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025